## TeplGotoLineBar TeplGotoLineBar — Horizontal bar for the 'Go to line' feature |

## Functions

TeplGotoLineBar * | tepl_goto_line_bar_new ()
void | tepl_goto_line_bar_set_view ()
void | tepl_goto_line_bar_grab_focus_to_entry ()

## Types and Values

struct | TeplGotoLineBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── TeplGotoLineBar

## Implemented Interfaces

TeplGotoLineBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplGotoLineBar is an horizontal bar containing among other things:

- A GtkSearchEntry.

- A close button.

When the GtkSearchEntry's content changes, `tepl_view_goto_line()` is called on the associated TeplView.

### High-level API

TeplGotoLineBar is integrated in the Tepl framework, see:

- The `"win.tepl-goto-line"` GAction in TeplApplicationWindow.

- The `tepl_tab_get_goto_line_bar()` function.

## Functions

### tepl_goto_line_bar_new ()

    TeplGotoLineBar *
    tepl_goto_line_bar_new (void);

#### Returns

a new TeplGotoLineBar widget.

[transfer floating]

Since: 5.0

### tepl_goto_line_bar_set_view ()

    void
    tepl_goto_line_bar_set_view (TeplGotoLineBar *bar,
                                 TeplView *view);

Sets the TeplView. `tepl_view_goto_line()` will be called on `view` when the user types a line number in the GtkSearchEntry of `bar` .

Only one TeplView can be associated per TeplGotoLineBar.

#### Parameters

bar | a TeplGotoLineBar. |
view | a TeplView. |

Since: 5.0

### tepl_goto_line_bar_grab_focus_to_entry ()

    void
    tepl_goto_line_bar_grab_focus_to_entry
                                   (TeplGotoLineBar *bar);

Calls `gtk_widget_grab_focus()` to the GtkSearchEntry of `bar` .

#### Parameters

bar | a TeplGotoLineBar. |

Since: 5.0

## Types and Values

### struct TeplGotoLineBar

    struct TeplGotoLineBar;